#!/usr/bin/env python
"""
Unittests for <module>.py
"""
__author__ = 'Dan Gunter dkgunter@lbl.gov'
__rcsid__ = '$Id: testParseBestman.py 845 2008-06-20 23:26:25Z dang $'

import unittest
import testBase
from netlogger.parsers.modules import bestman

class TestCase(testBase.BaseParserTestCase):
    """Unit test cases.
    """
    basename = "srm-"
    parser_class = bestman.Parser

    def testBasic(self):
        """Parse some 'normal' logs copied off PDSF
        """
        self.checkGood(filename="transfer.log", num_expected=4)
        
# Boilerplate to run the tests
def suite(): 
    return testBase.suite(TestCase)
if __name__ == '__main__':
    testBase.main()


